# Google Maps Coordinate API . customFieldDef

## Instance Methods

Retrieves a list of custom field definitions for a team.

### Method Details

`list(teamId)`

    Retrieves a list of custom field definitions for a team.

    Args:
      teamId: string, Team ID (required)

    Returns:
      An object of the form:

        { # Collection of custom field definitions for a team.
        "items": [ # Collection of custom field definitions in a team.
          { # Custom field definition.
            "kind": "coordinate#customFieldDef", # Identifies this object as a custom field definition.
            "name": "A String", # Custom field name.
            "enabled": True or False, # Whether the field is enabled.
            "requiredForCheckout": True or False, # Whether the field is required for checkout.
            "type": "A String", # Custom field type.
            "id": "A String", # Custom field id.
          },
        ],
        "kind": "coordinate#customFieldDefList", # Identifies this object as a collection of custom field definitions in a team.
      }